/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/external-transfers
curl --request POST \
--url https://api.banking.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/external-transfers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 0,
"destinationWalletId": "<string>",
"destinationAccountId": "<string>",
"destinationRealmId": "<string>",
"destinationOrganizationId": "<string>"
}
'import requests
url = "https://api.banking.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/external-transfers"
payload = {
"amount": 0,
"destinationWalletId": "<string>",
"destinationAccountId": "<string>",
"destinationRealmId": "<string>",
"destinationOrganizationId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 0,
destinationWalletId: '<string>',
destinationAccountId: '<string>',
destinationRealmId: '<string>',
destinationOrganizationId: '<string>'
})
};
fetch('https://api.banking.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/external-transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"wallet": {
"_id": "<string>",
"realmId": "<string>",
"organizationId": "<string>",
"accountId": "<string>",
"environment": "LIVE",
"external": {
"balanceAccountGroupId": "<string>",
"accountNumber": 123,
"accountDigit": 123,
"branch": "<string>",
"accountRequestId": "<string>",
"checkingAccountId": "<string>",
"accountType": "PREPAID",
"productId": "<string>"
},
"currency": "784",
"customFields": "<unknown>",
"status": "PENDING",
"role": "DEFAULT",
"type": "PERSONAL",
"name": "<string>",
"shared": [
{
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"role": "OWNER"
}
],
"settings": {
"payment": {
"pix": true,
"bankSlip": true,
"card": true
},
"notification": {
"balanceLimit": {
"amount": 123,
"email": true,
"isActive": true
}
}
},
"createdBy": "<string>",
"updatedBy": "<string>",
"totalBalance": 123,
"balances": [
{
"category": "FLEX_NATIONAL",
"amount": 123
}
],
"walletProduct": "<string>",
"isSuper": true
},
"external": {
"transactionId": "<string>"
},
"amount": 123,
"status": "CREATED",
"category": "FLEX_NATIONAL"
}Transfers
/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/external-transfers
POST
/
realms
/
{realmId}
/
organizations
/
{organizationId}
/
accounts
/
{accountId}
/
wallets
/
{walletId}
/
external-transfers
/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/external-transfers
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Required range:
-9007199254740991 <= x <= 9007199254740991Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Response
201 - application/json
Successful response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
CREATED, PROCESSING, PROCESSED, ERROR Available options:
FLEX_NATIONAL, FLEX_INTERNATIONAL, FOOD, GAS, MOBILITY, TOLL, FLEX_NATIONAL_WITHOUT_WITHDRAWALS, ADS, SAAS, HOTEL, AIRLINES, TRAVEL, BLOCKED, CASHBACK